Directory API Specification
GroupsApi
| Method / Description | HTTP request |
|---|---|
| groupsDiscoverAvailableGroups Retrieves a list of Nested Public Groups for the targeted Tenant. These Groups can be joined if the current user has a UserProfile in the targeted Tenant. |
GET /{tenantId}/directory/{directoryId}/groups/discover |
| groupsFindGroups Finds groups that match the query conditions. |
POST /{tenantId}/directory/{directoryId}/groups/find |
| groupsGetGroupMembership |
POST /{tenantId}/directory/{directoryId}/groups/{groupId}/members |
MetaApi
| Method / Description | HTTP request |
|---|---|
| metaGetLanguages Returns the Languages supported by the platform for Written and Spoken translation. |
GET /{tenantId}/directory/meta/languages |
| metaGetTimeZones Returns the timezones supported in the system. |
GET /{tenantId}/directory/meta/timezones |
| metaGetWeatherCategories Retrieve supported weather categories. |
GET /{tenantId}/directory/meta/weather/categories |
TestApi
| Method / Description | HTTP request |
|---|---|
| testGetPendingEmailVerifications |
GET /{tenantId}/testing/verifications/email |
| testGetPendingPhoneVerifications |
GET /{tenantId}/testing/verifications/phone |
UsersApi
| Method / Description | HTTP request |
|---|---|
| usersAddWeatherNotifications |
POST /{tenantId}/directory/{directoryId}/users/{userId}/notifications/weather |
| usersCreate Create a new UserProfile in the targeted Tenant and Directory |
POST /{tenantId}/directory/{directoryId}/users |
| usersCreateEmailVerificationNonce Reserve a client generated Nonce to trigger the Verification Code process. Returns 429 if too many requests have been requested in the allowed time. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/emails/{emailAddress}/verification/nonce |
| usersCreateExternalId Associate a new ExternalId to an existing user that belongs to a specific Tenant and Directory by the User's Identifier. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/externalId |
| usersCreateGroupMembership Add the targeted UserProfile as a member of the targeted Group. Allows the targeted UserProfile to receive notifications sent to the targeted Group |
POST /{tenantId}/directory/{directoryId}/users/{userId}/notifications/memberships |
| usersCreateNewEmail Create a new email to the target UserProfile if the existing email address doesn't already exist. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/emails |
| usersCreateNewLocation Create a new Location for the targeted UserProfile. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/notifications/locations |
| usersCreateNewPhone Create a new phone number on the target UserProfile if the existing phone number doesn't already exist. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/phones |
| usersCreatePhoneVerificationNonce Retrieve a ResendVerificationToken to trigger the Verification Code process. Returns 429 if too many ResendVerificationTokens have been requested in the allowed time. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/phones/{phoneNumber}/verification/nonce |
| usersDelete Delete a UserProfile associated with a specific Tenant and Directory by the User's Identifier. |
DELETE /{tenantId}/directory/{directoryId}/users/{userId} |
| usersFindUsersByQuery Retrieve a UserProfile that belongs to a specific Tenant and Directory by the User's Identifier. |
POST /{tenantId}/directory/{directoryId}/users/query |
| usersGetById Retrieve a UserProfile that belongs to a specific Tenant and Directory by the User's Identifier. |
GET /{tenantId}/directory/{directoryId}/users/{userId} |
| usersGetContactInformationById Retrieve a UserProfile that belongs to a specific Tenant and Directory by the User's Identifier. |
GET /{tenantId}/directory/{directoryId}/users/{userId}/contact |
| usersGetEmail Retrieves details of a specific Email addresses for the targeted UserProfile. |
GET /{tenantId}/directory/{directoryId}/users/{userId}/contact/emails/{emailAddress} |
| usersGetLocation Retrieves details of a specific Location for the targeted UserProfile. |
GET /{tenantId}/directory/{directoryId}/users/{userId}/notifications/locations/{locationId} |
| usersGetNotificationPreferencesById Retrieve a UserProfile that belongs to a specific Tenant and Directory by the User's Identifier. |
GET /{tenantId}/directory/{directoryId}/users/{userId}/notifications |
| usersGetPhone Retrieves details of a specific Phone Number for the targeted UserProfile. |
GET /{tenantId}/directory/{directoryId}/users/{userId}/contact/phones/{phoneNumber} |
| usersGetWeatherNotifications |
GET /{tenantId}/directory/{directoryId}/users/{userId}/notifications/weather |
| usersRemoveEmail Removes an email from the targeted UserProfile. |
DELETE /{tenantId}/directory/{directoryId}/users/{userId}/contact/emails/{emailAddress} |
| usersRemoveGroupMembership Removes the targeted UserProfile as a Member from the targeted Group. This prevents the targeted UserProfile from receiving notifications sent to the targeted Group. |
DELETE /{tenantId}/directory/{directoryId}/users/{userId}/notifications/memberships/{groupId} |
| usersRemoveLocation Remove an existing Location from the targeted UserProfile. |
DELETE /{tenantId}/directory/{directoryId}/users/{userId}/notifications/locations/{locationId} |
| usersRemovePhone Removes an Phone Number from the targeted UserProfile. |
DELETE /{tenantId}/directory/{directoryId}/users/{userId}/contact/phones/{phoneNumber} |
| usersRemoveWeatherNotifications |
DELETE /{tenantId}/directory/{directoryId}/users/{userId}/notifications/weather |
| usersResendEmailVerification Send a new verification Email Address to the targeted Email. Requires a VerificationNonce to prevent excessive sending of emails to the targeted Email Address. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/emails/{emailAddress}/verification/resend |
| usersResendPhoneVerification Send a new verification code to the targeted Phone Number through SMS. Requires a VerificationNonce to prevent excessive messaging of SMS messages to the targeted Phone Number. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/phones/{phoneNumber}/verification/resend |
| usersUpdate Modify the base information of the targeted UserProfile. |
PUT /{tenantId}/directory/{directoryId}/users/{userId} |
| usersVerifyEmail Compares the last verification code sent through Email to and changes the verification status of the targeted Email Address. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/emails/{emailAddress}/verification/verify |
| usersVerifyPhone Compares the last verification code sent through SMS to and changes the verification status of the targeted Phone Number. |
POST /{tenantId}/directory/{directoryId}/users/{userId}/contact/phones/{phoneNumber}/verification/verify |
Documentation for Models
- AddWeatherNotificationsCommand
- Address
- AddressType
- AvailableLanguagesResponse
- AvailableTimeZonesResponse
- BadRequestErrorMessage
- BadRequestResponse
- ContactInformation
- ContactTargetType
- CreateEmailCommand
- CreateExternalIdCommand
- CreateGroupMembership
- CreateLocationCommand
- CreatePhoneCommand
- CreateUserProfileCommand
- CreateVerificationNonceCommand
- EmailAddress
- EmailCollection
- FindGroupQuery
- FindUserQuery
- GeoLocation
- GroupMemberships
- GroupReference
- GroupReferencePagedApiResponse
- GroupSummary
- GroupSummaryPagedApiResponse
- LanguageCode
- Location
- LocationCollection
- LocationPagedApiResponse
- MobileApp
- NotificationPreferences
- NotificationPreferencesSummary
- PendingDeviceType
- PendingVerificationAttempt
- PersonName
- PhoneCollection
- PhoneNumber
- PhoneType
- ProblemDetails
- Reference
- RemoveWeatherNotificationsCommand
- ResendVerificationToken
- SelfServiceSettings
- SendVerificationCommand
- TimeZoneSummary
- UpdateUserProfileCommand
- UserProfile
- UserProfileSummary
- UserProfileSummaryPagedApiResponse
- ValidationFailure
- VerificationAttempt
- VerificationResponse
- VerificationStatus
- VerifyEmailCommand
- VerifyPhoneCommand
- WeatherCategoriesResponse
- WeatherCategoryInformation
- WeatherChannel
- WeatherNotification
- WeatherNotificationCollection
- WeatherNotificationCommand
Documentation for Authorization
Oauth2Scheme
- Type: OAuth
- Flow: implicit
- Authorization URL: https://auth.alertsense.com/connect/authorize
- Scopes:
- tamarack: Hickory
- content: ExternalID
- elm: GIS
- directory:public: Public User Directory Access
Oauth2Scheme
- Type: OAuth
- Flow: application
- Authorization URL:
- Scopes:
- tamarack: Hickory
- content: ExternalID
- elm: GIS
- directory:public: Public User Directory Access
JwtBearerTokenScheme
- Type: API key
- API key parameter name: Authorization
- Location: HTTP header